// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
/*
//
// XMM Science Analysis System
//
// Giuseppe Vacanti (European Space Agency) 
// March 30, 1999
//
// C bindings  for the param library.
//
*/

#ifndef _paramc_h
#define _paramc_h

#ifdef __cplusplus
extern "C" {
#endif

  int get_number_of_param(const char * name);
  const char * get_param_as_string(const char * name);
  int parameter_count(const char * name);
  
  int boolean_parameter(const char * name, int pos);
  void set_boolean_parameter(const char * name, int value);
  
  int int_parameter(const char * name, int pos);
  void set_int_parameter(const char * name, int value);
  
  double real_parameter(const char * name, int pos);
  void set_real_parameter(const char * name, double value);
  
  const char * string_parameter(const char * name, int pos);
  void set_string_parameter(const char * name, const char * value);
  
  void open_parameters(const char * name);
  void close_parameters();

#ifdef __cplusplus
	   }
#endif

#endif
