// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
/**-*-C++-*-*******************************************************************
 *
 *  ParamInfoReader.h                           XMM Science Analysis Subsystem
 *
 *  Abstract interface for paramerter readers
 *
 *  (c) 1998  ESA  -  Written by Jon Brumfitt, Aurora
 *
 *  $Id: ParamInfoReader.h,v 1.3 2003/02/10 15:19:08 jbakker Exp $
 *
 *****************************************************************************/

#ifndef PARAMINFOREADER_H
#define PARAMINFOREADER_H

#include "ParameterInfo.h"


/**
   Abstract interface ParamInfoReader
   @deprecated As of param 2.11; replaced by {@link ParamParser}.
*/
class ParamInfoReader
{
public:
    ParamInfoReader() : _info(0) {}
    virtual ~ParamInfoReader() {}

    virtual ParameterInfo* getParamInfo() = 0;

protected:
    ParameterInfo* _info;
};

#endif
