// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
/*****************************************************************************
 *
 *  StringChoiceParameter.h                     XMM Science Analysis Subsystem
 *
 *  String-choice task parameter
 *
 *  (c) 1998  ESA  -  Written by Jon Brumfitt, Aurora
 *
 *  $Id: StringChoiceParameter.h,v 1.2 2000/01/21 14:33:47 jbrumfit Exp $
 *
 *****************************************************************************/

#ifndef STRINGCHOICEPARAMETER_H
#define STRINGCHOICEPARAMETER_H

#include "StringParameter.h"           // headers


//================================================================
//  Class StringChoiceParameter
//================================================================

class StringChoiceParameter : public StringParameter
{
public:
    // Construction
    StringChoiceParameter* clone() { return new StringChoiceParameter(*this); }

    // Accessors
    ParamType getType() const {return Parameter::StringChoice;}

private:
};

#endif

