// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
/****************************************************************************
 *
 *  testcmdlineerror.cc                        XMM Science Analysis Subsystem
 *
 *  Test handling of command-line errors
 *
 *  (c) 1998  ESA  -  Written by Jon Brumfitt, Aurora
 *
 *  $Id: testcmdlineerror.cc,v 1.4 2002/12/17 17:53:51 jbakker Exp $
 *
 *****************************************************************************/

#include <Parameter.h>               // Application headers
#include <param.h>

#include <iostream>                // C++ headers
#include <string>

#include <errstr.h>

int main(int argc, char* argv[])
{
    std::string taskname(argv[0]);
    errHandler.name(taskname);

    openParameters("testparamcc");
    gParameters->parseCommandLine(argc,argv);

    std::cout << std::endl << "Parameter info:" << std::endl 
         << *gParameters << std::endl;

    closeParameters();

    return 0;
}
