// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
// -*-C++-*-
//
// Author:    Jorgo Bakker (jbakker@astro.estec.esa.nl)
// Generated: Wed Nov 28 16:52:32 MET 2001

#include "ParameterInfo.h"
#include "Parameter.h"   
#include "XmlInfoReader.h"

int main(int argc, char** argv)
{
  std::cout << "IN:";
  for (int c=0;c<argc;c++) std::cout << ' ' << argv[c];
  std::cout << std::endl;

  XmlInfoReader xml("testparamfiledepend.xml",false);
  ParameterInfo* info=xml.getParamInfo();
  if (!info) return 1;

  info->setTaskName("testparamfiledepend");
  info->parseCommandLine(argc,argv);
  info->checkMandatoryParameters();


  std::cout << "OUT: " 
       << info->asCommandLine()
       << '\n'
       << std::endl;
  
  return 0;
}
