// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
/****************************************************************************
 *
 *  testparampcs.cc                            XMM Science Analysis Subsystem
 *
 *  Test PCS mode of command-line
 *
 *  (c) 1998  ESA  -  
 *
 *  $Id: testparampcs.cc,v 1.7 2003/06/13 12:06:03 gvacanti Exp $
 *
 *****************************************************************************/

#include <Parameter.h>
#include <param.h>
#include <cassert>
#include <iostream>

int main(int argc, char* argv[])
{
    openParameters("testparampcs");
    gParameters->parseCommandLine(argc,argv);
    
    std::cout << std::endl << "Parameter info:" << std::endl 
	 << *gParameters << std::endl;

    std::string sp = stringParameter("sp");
    std::cout << "sp   = " << sp << std::endl;
    assert(sp == "res1");

    int nodf = parameterCount("odf");
    assert(nodf == 2);
    for(int i=0; i<nodf; i++)
      std::cout << "odf[" << i << "] = \"" 
	   << stringParameter("odf",i) << '"' << std::endl;
    assert(stringParameter("odf",0) == "odf1");
    assert(stringParameter("odf",1) == "odf2");

    int ncoeff = parameterCount("coeff");
    assert(ncoeff == 3);
    for(int i=0; i<ncoeff; i++)
      std::cout << "coeff[" << i << "] = \"" 
	   << stringParameter("coeff",i) << '"' << std::endl;
    assert(stringParameter("coeff",0) == "co1");
    assert(stringParameter("coeff",1) == "co2");
    assert(stringParameter("coeff",2) == "co3");

    int nccf = parameterCount("ccf");
    assert(nccf == 2);
    for(int i=0; i<nccf; i++)
      std::cout << "ccf[" << i << "] = \"" 
	   << stringParameter("ccf",i) << '"' << std::endl;
    assert(stringParameter("ccf",0) == "ccf1");
    assert(stringParameter("ccf",1) == "ccf2");

    closeParameters();
}
